package com.jeeplus.modules.sg.overheadline.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

public class JkxlDetailFee {
    private String id;  //项目ID
    private String wbsCode;  //WBS识别码
    private Double originalTotalCost;  //分布分项合计金额
    private Double zjgcFee;  //直接工程费
    private Double originalRgCost;  //分布分项前人工费
    private Double originalCbrCost;  //分布分项前承包人采购费
    private Double originalFbrCost;  //分布分项前发包人采购费
    private Double originalJxCost;  //分部分项前机械费
    private Double rgCost;  //分部分项调差后人工费
    private Double cbrCost;  //分布分项调差后承包人采购费
    private Double fbrCost;   //分布分项调差后发包人采购费
    private Double jxCost;  //分布分项调差后发包人机械费
    private Double measuresFee1;  //措施费一（1）
    private Double measuresFee2;  //措施费一（2）
    private Double measuresFee3;  //措施费二
    private Double otherCost;   //其他费用
    private Double fees;   //规费
    private Double tex;   //税金
    private Double originalRate;  //总金额占比
    private Double rgFtFee;  //共性人工分摊费用
    private Double cbrFtFee;  //共性承包人采购分摊费用
    private Double fbrFtFee;   //共性发包人采购分摊费用
    private Double jxFtFee;  //共性机械分摊费用
    private Double gxFee;   //共性分摊费
    private Double totalFee;   //合计金额

    private String wbsId;  //标准 WBS 要素
    private String projectId;  //内部项目号
    private String describe;  //描述
    private String parentNode;  //父节点
    private String mountMatter;   //挂接物料
    private String mountServer;   //挂接服务
    private String subjectAllocate;  //科目分配
    private String feeType;   //1：主体部分  2：其他部分

    private double sbFee;      //设备费
    private double jzFee;      //建筑费
    private double sbgzFee;    //设备购置费
    private double azFee;      //安装费
    private double zcFee;     //装材费
    private double qtFee;    //其他费用
    private double jsFee;    //结算价
    private double cFee;      //差额
    private String hierarchy;  //层级
    private Integer index;    //序号

    @ExcelField(title="设备费", align=1, sort=6)
    public double getSbFee() {
        return sbFee;
    }

    public void setSbFee(double sbFee) {
        this.sbFee = sbFee;
    }

    @ExcelField(title="建筑费", align=1, sort=5)
    public double getJzFee() {
        return jzFee;
    }

    public void setJzFee(double jzFee) {
        this.jzFee = jzFee;
    }

    public Double getGxFee() {
        return gxFee;
    }

    public void setGxFee(Double gxFee) {
        this.gxFee = gxFee;
    }

    public String getSubjectAllocate() {
        return subjectAllocate;
    }

    public void setSubjectAllocate(String subjectAllocate) {
        this.subjectAllocate = subjectAllocate;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public Double getMeasuresFee3() {
        return measuresFee3;
    }

    public void setMeasuresFee3(Double measuresFee3) {
        this.measuresFee3 = measuresFee3;
    }


    public String getMountMatter() {
        return mountMatter;
    }

    public void setMountMatter(String mountMatter) {
        this.mountMatter = mountMatter;
    }


    public String getMountServer() {
        return mountServer;
    }

    public void setMountServer(String mountServer) {
        this.mountServer = mountServer;
    }


    public String getWbsId() {
        return wbsId;
    }

    public void setWbsId(String wbsId) {
        this.wbsId = wbsId;
    }


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="元素描述", align=1, sort=4)
    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getParentNode() {
        return parentNode;
    }

    public void setParentNode(String parentNode) {
        this.parentNode = parentNode;
    }
    @ExcelField(title="WBS识别码", align=2, sort=2)
    public String getWbsCode() {
        return wbsCode;
    }

    public void setWbsCode(String wbsCode) {
        this.wbsCode = wbsCode;
    }

    @ExcelField(title="合计", align=2, sort=11)
    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Double getOriginalTotalCost() {
        return originalTotalCost;
    }

    public void setOriginalTotalCost(Double originalTotalCost) {
        this.originalTotalCost = originalTotalCost;
    }

    public Double getZjgcFee() {
        return zjgcFee;
    }

    public void setZjgcFee(Double zjgcFee) {
        this.zjgcFee = zjgcFee;
    }

    public Double getRgFtFee() {
        return rgFtFee;
    }

    public void setRgFtFee(Double rgFtFee) {
        this.rgFtFee = rgFtFee;
    }

    public Double getCbrFtFee() {
        return cbrFtFee;
    }

    public void setCbrFtFee(Double cbrFtFee) {
        this.cbrFtFee = cbrFtFee;
    }

    public Double getFbrFtFee() {
        return fbrFtFee;
    }

    public void setFbrFtFee(Double fbrFtFee) {
        this.fbrFtFee = fbrFtFee;
    }

    public Double getJxFtFee() {
        return jxFtFee;
    }

    public void setJxFtFee(Double jxFtFee) {
        this.jxFtFee = jxFtFee;
    }

    public Double getOriginalRate() {
        return originalRate;
    }

    public void setOriginalRate(Double originalRate) {
        this.originalRate = originalRate;
    }

    public Double getOriginalRgCost() {
        return originalRgCost;
    }

    public void setOriginalRgCost(Double originalRgCost) {
        this.originalRgCost = originalRgCost;
    }

    public Double getOriginalCbrCost() {
        return originalCbrCost;
    }

    public void setOriginalCbrCost(Double originalCbrCost) {
        this.originalCbrCost = originalCbrCost;
    }

    public Double getOriginalFbrCost() {
        return originalFbrCost;
    }

    public void setOriginalFbrCost(Double originalFbrCost) {
        this.originalFbrCost = originalFbrCost;
    }


    public Double getOriginalJxCost() {
        return originalJxCost;
    }

    public void setOriginalJxCost(Double originalJxCost) {
        this.originalJxCost = originalJxCost;
    }


    public Double getRgCost() {
        return rgCost;
    }

    public void setRgCost(Double rgCost) {
        this.rgCost = rgCost;
    }

    public Double getCbrCost() {
        return cbrCost;
    }

    public void setCbrCost(Double cbrCost) {
        this.cbrCost = cbrCost;
    }

    public Double getFbrCost() {
        return fbrCost;
    }

    public void setFbrCost(Double fbrCost) {
        this.fbrCost = fbrCost;
    }



    public Double getJxCost() {
        return jxCost;
    }

    public void setJxCost(Double jxCost) {
        this.jxCost = jxCost;
    }

    public Double getMeasuresFee1() {
        return measuresFee1;
    }

    public void setMeasuresFee1(Double measuresFee1) {
        this.measuresFee1 = measuresFee1;
    }

    public Double getMeasuresFee2() {
        return measuresFee2;
    }

    public void setMeasuresFee2(Double measuresFee2) {
        this.measuresFee2 = measuresFee2;
    }

    public Double getOtherCost() {
        return otherCost;
    }

    public void setOtherCost(Double otherCost) {
        this.otherCost = otherCost;
    }

    public Double getFees() {
        return fees;
    }

    public void setFees(Double fees) {
        this.fees = fees;
    }

    public Double getTex() {
        return tex;
    }

    public void setTex(Double tex) {
        this.tex = tex;
    }

    @ExcelField(title="设备购置费", align=2, sort=7)
    public double getSbgzFee() {
        return sbgzFee;
    }

    public void setSbgzFee(double sbgzFee) {
        this.sbgzFee = sbgzFee;
    }
    @ExcelField(title="安装费", align=2, sort=8)
    public double getAzFee() {
        return azFee;
    }

    public void setAzFee(double azFee) {
        this.azFee = azFee;
    }

    @ExcelField(title="装材费", align=2, sort=9)
    public double getZcFee() {
        return zcFee;
    }

    public void setZcFee(double zcFee) {
        this.zcFee = zcFee;
    }

    @ExcelField(title="其他费用", align=2, sort=10)
    public double getQtFee() {
        return qtFee;
    }

    public void setQtFee(double qtFee) {
        this.qtFee = qtFee;
    }

    @ExcelField(title="结算价", align=2, sort=12)
    public double getJsFee() {
        return jsFee;
    }

    public void setJsFee(double jsFee) {
        this.jsFee = jsFee;
    }

    @ExcelField(title="差额", align=2, sort=13)
    public double getcFee() {
        return cFee;
    }

    public void setcFee(double cFee) {
        this.cFee = cFee;
    }

    @ExcelField(title="层级", align=2, sort=3)
    public String getHierarchy() {
        return hierarchy;
    }

    public void setHierarchy(String hierarchy) {
        this.hierarchy = hierarchy;
    }

    @ExcelField(title="序号", align=2, sort=1)
    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }
}
